QGIS Application - Bug report #16691
Font style translation problem on OSX (French)
2017-06-09 10:19 AM - Emmanuel Guillemart

Status: Closed

Priority: Normal

Assignee:

Category: Translations and international

Affected QGIS version:2.18.7 Regression?: No
Operating System: osx 10.11.6 Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 24590
Description

| have a problem with osx font translate on Qgis. For example (with a french language selected in osx system preferences) when i want to
use an arial "bold" style, the font stay in "normal". OsX translate "bold" to "gras", | can see it on ggis, but when | select it, nothing happen
??7?
https://www.dropbox.com/s/9frsblerj4j0fi4/Capture%20d%E2%80%99%C3%A9cran%202017-06-09%20%C3%A0%2010.06.06.jpg
[[https://www.dropbox.com/s/9frsblerj4i0fi4/Capture%20d%E2%80%99%C3%A9cran%202017-06-09%20%C3%A0%2010.06.06.jpg]]

On the opposite, with a english language selected in system preferences, everything turn normal.
https://www.dropbox.com/s/oxssap2sfwifrj3/Screen%20Shot%202017-06-09%20at%2010.17.14.jpg ?dI=0
[[https://www.dropbox.com/s/oxssap2sfwifri3/Screen%20Shot%202017-06-09%20at%2010.17.14.jpg ?dI=0]]

History

#1 - 2017-06-09 10:59 AM - Emmanuel Guillemart

Hello, | have an other suggestion to make. Is it possible to simply deactivate the font translation? It's very annoying the translation on font variant with
complex fonts like "soho" for example (see capture below).

https://www.dropbox.com/s/ggydns1u4a7gudx/Capture%20d%E2%80%99%C3%A9cran%202017-06-09%20%C3%A0%2010.57.57.jpg
[[https://www.dropbox.com/s/ggydnsiu4a7gudx/Capture%20d%E2%80%99%C3%A9cran%202017-06-09%20%C3%A0%2010.57.57.jpg]]

#2 - 2017-07-18 02:56 PM - Emmanuel Guillemart
- Assignee deleted (QGIS Translation Team)

#3 - 2017-07-18 03:31 PM - Giovanni Manghi

- Subject changed from Font style translation problem on OSX to Font style translation problem on OSX (French)
- Easy fix? changed from Yes to No

- Resolution deleted (up/downstream)

#4 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
https://www.dropbox.com/s/9frsblerj4j0fi4/Capture%20d%E2%80%99%C3%A9cran%202017-06-09%20%C3%A0%2010.06.06.jpg
https://www.dropbox.com/s/oxssap2sfwjfrj3/Screen%20Shot%202017-06-09%20at%2010.17.14.jpg?dl=0
https://www.dropbox.com/s/ggydns1u4a7gudx/Capture%20d%E2%80%99%C3%A9cran%202017-06-09%20%C3%A0%2010.57.57.jpg
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

2025-04-27 22



